Pod::Weaver::Config(3)

NAME
Pod::Weaver::Config - stored configuration loader role

VERSION
version 3.101636

DESCRIPTION
The config role provides some helpers for writing a configuration loader using the Config::MVP system to load and validate its configuration.

ATTRIBUTES

  assembler
The assembler attribute must be a Config::MVP::Assembler, has a sensible default that will handle the standard needs of a config loader. Namely, it will be pre-loaded with a starting section for root configuration.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.